- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ClpConstraintQuadratic Class Reference

Quadratic Constraint Class. More...

`#include <ClpConstraintQuadratic.hpp>`

Inheritance diagram for ClpConstraintQuadratic:

[legend]
Collaboration diagram for ClpConstraintQuadratic:

[legend]
List of all members.

## Public Member Functions
Stuff
virtual int | gradient (const ClpSimplex *model, const double *solution, double *gradient, double &functionValue, double &offset, bool useScaling=false, bool refresh=true) const
| Fills gradient.
virtual void | resize (int newNumberColumns)
| Resize constraint.
virtual void | deleteSome (int numberToDelete, const int *which)
| Delete columns in constraint.
virtual void | reallyScale (const double *columnScale)
| Scale constraint.
virtual int | markNonlinear (char *which) const
| Given a zeroed array sets nonquadratic columns to 1.
virtual int | markNonzero (char *which) const
| Given a zeroed array sets possible nonzero coefficients to 1.
Constructors and destructors
| ClpConstraintQuadratic ()
| Default Constructor.
| ClpConstraintQuadratic (int row, int numberQuadraticColumns, int numberColumns, const CoinBigIndex *start, const int *column, const double *element)
| Constructor from quadratic.
| ClpConstraintQuadratic (const ClpConstraintQuadratic &rhs)
| Copy constructor .
ClpConstraintQuadratic & | operator= (const ClpConstraintQuadratic &rhs)
| Assignment operator.
virtual | ~ClpConstraintQuadratic ()
| Destructor.
virtual ClpConstraint * | clone () const
| Clone.
Gets and sets
virtual int | numberCoefficients () const
| Number of coefficients.
int | numberColumns () const
| Number of columns in constraint.
CoinBigIndex * | start () const
| Column starts.
const int * | column () const
| Columns.
const double * | coefficient () const
| Coefficients.
## Private Attributes
Private member data
Column starts
CoinBigIndex * | start_
int * | column_
| Column (if -1 then linear coefficient).
double * | coefficient_
| Coefficients.
int | numberColumns_
| Useful to have number of columns about.
int | numberCoefficients_
| Number of coefficients in gradient.
int | numberQuadraticColumns_
| Number of quadratic columns.

## Detailed Description

Quadratic Constraint Class.

Definition at line 14 of file ClpConstraintQuadratic.hpp.

## Constructor & Destructor Documentation

ClpConstraintQuadratic::ClpConstraintQuadratic | ( |  | ) |

Default Constructor.

ClpConstraintQuadratic::ClpConstraintQuadratic | ( | int | row,
|  | int | numberQuadraticColumns,
|  | int | numberColumns,
|  | const CoinBigIndex * | start,
|  | const int * | column,
|  | const double * | element |
| ) |  |  |

Constructor from quadratic.

ClpConstraintQuadratic::ClpConstraintQuadratic | ( | const ClpConstraintQuadratic & | rhs | ) |

Copy constructor .

virtual ClpConstraintQuadratic::~ClpConstraintQuadratic | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual int ClpConstraintQuadratic::gradient | ( | const ClpSimplex * | model,
|  | const double * | solution,
|  | double * | gradient,
|  | double & | functionValue,
|  | double & | offset,
|  | bool | useScaling = `false`,
|  | bool | refresh = `true` |
| ) |  |  | const`[virtual]`

Fills gradient.

If Quadratic then solution may be NULL, also returns true value of function and offset so we can use x not deltaX in constraint If refresh is false then uses last solution Uses model for scaling Returns non-zero if gradient udefined at current solution

Implements ClpConstraint.

virtual void ClpConstraintQuadratic::resize | ( | int | newNumberColumns | ) | `[virtual]`

Resize constraint.

Implements ClpConstraint.

virtual void ClpConstraintQuadratic::deleteSome | ( | int | numberToDelete,
|  | const int * | which |
| ) |  |  | `[virtual]`

Delete columns in constraint.

Implements ClpConstraint.

virtual void ClpConstraintQuadratic::reallyScale | ( | const double * | columnScale | ) | `[virtual]`

Scale constraint.

Implements ClpConstraint.

virtual int ClpConstraintQuadratic::markNonlinear | ( | char * | which | ) | const`[virtual]`

Given a zeroed array sets nonquadratic columns to 1.

Returns number of nonquadratic columns

Implements ClpConstraint.

virtual int ClpConstraintQuadratic::markNonzero | ( | char * | which | ) | const`[virtual]`

Given a zeroed array sets possible nonzero coefficients to 1.

Returns number of nonzeros

Implements ClpConstraint.

ClpConstraintQuadratic& ClpConstraintQuadratic::operator= | ( | const ClpConstraintQuadratic & | rhs | ) |

Assignment operator.

virtual ClpConstraint* ClpConstraintQuadratic::clone | ( |  | ) | const`[virtual]`

Clone.

Implements ClpConstraint.

virtual int ClpConstraintQuadratic::numberCoefficients | ( |  | ) | const`[virtual]`

Number of coefficients.

Implements ClpConstraint.

int ClpConstraintQuadratic::numberColumns | ( |  | ) | const`[inline]`

Number of columns in constraint.

Definition at line 80 of file ClpConstraintQuadratic.hpp.

References numberColumns_.

CoinBigIndex* ClpConstraintQuadratic::start | ( |  | ) | const`[inline]`

Column starts.

Definition at line 83 of file ClpConstraintQuadratic.hpp.

References start_.

const int* ClpConstraintQuadratic::column | ( |  | ) | const`[inline]`

Columns.

Definition at line 86 of file ClpConstraintQuadratic.hpp.

References column_.

const double* ClpConstraintQuadratic::coefficient | ( |  | ) | const`[inline]`

Coefficients.

Definition at line 89 of file ClpConstraintQuadratic.hpp.

References coefficient_.

## Member Data Documentation

CoinBigIndex* ClpConstraintQuadratic::start_`[private]`

Definition at line 98 of file ClpConstraintQuadratic.hpp.

Referenced by start().

int* ClpConstraintQuadratic::column_`[private]`

Column (if -1 then linear coefficient).

Definition at line 100 of file ClpConstraintQuadratic.hpp.

Referenced by column().

double* ClpConstraintQuadratic::coefficient_`[private]`

Coefficients.

Definition at line 102 of file ClpConstraintQuadratic.hpp.

Referenced by coefficient().

int ClpConstraintQuadratic::numberColumns_`[private]`

Useful to have number of columns about.

Definition at line 104 of file ClpConstraintQuadratic.hpp.

Referenced by numberColumns().

int ClpConstraintQuadratic::numberCoefficients_`[private]`

Number of coefficients in gradient.

Definition at line 106 of file ClpConstraintQuadratic.hpp.

int ClpConstraintQuadratic::numberQuadraticColumns_`[private]`

Number of quadratic columns.

Definition at line 108 of file ClpConstraintQuadratic.hpp.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Blis-0.91.0/Clp/src/ClpConstraintQuadratic.hpp